Bug 12883 - PackageKit has a hard dependency on libnm_glib
Summary: PackageKit has a hard dependency on libnm_glib
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: x86 (IA32) All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-22 00:09 UTC by Patrick Ohearn
Modified: 2007-10-22 15:34 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Ohearn 2007-10-22 00:09:02 UTC
PackageKit has a hard dependency on libnm_glib, this should be optional.

> On Mon, 2007-10-22 at 16:45 +1000, Patrick Ohearn wrote:
>> PackageKit has a hard dependency on libnm_glib, is there a reason why
>> this can't be optional like evolution and other gnome applications?
>
> None at all. It just needs some configure-foo and a few #ifdef's. All
> you need to do is just make libpackagekit/pk-network.c
> (pk_network_is_online) return TRUE if there's no NetworkManager. Patches
> welcome :-)

Richard.
Comment 1 Richard Hughes 2007-10-22 15:34:11 UTC
Fixed in git.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.